Skip to main content
PATCH
Update Card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

card_id
string<uuid>
required

The unique identifier of a card

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Card edits

card_status
enum<string>

The status indicating the card lifecycle state

Available options:
ACTIVE,
SUSPENDED,
TERMINATED
customer_id
string<uuid>

The ID of the customer to whom the card will be issued

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

emboss_name
object

The customer details to emboss on the card - Defaults to customer first and last name. Is limited to 21 characters. Valid characters are A-Z, a-z, 0-9, space ( ), period (.), comma (,), forward slash (/), hyphen (-), ampersand (&), single quote (').

memo
string

Additional details about the reason for the status change

Maximum string length: 255
metadata
object

Additional data to include in the request structured as key-value pairs

reason
enum<string>

The reason for the card status

Available options:
ACT,
ADD,
AUX,
CLO,
COM,
DOB,
EML,
EXP,
FRD,
FUL,
INA,
INF,
ISS,
KYC,
LOS,
MAT,
NAM,
NEG,
NEW,
OTH,
OUT,
PHO,
PIN,
PRC,
REQ,
REV,
SSN,
STO,
SUS,
TMP,
UNK

Response

Card issued

A card that can spend against a credit account

card_details
Physical Card · object
required

A card that can spend against a credit account

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

type
enum<string>
required

The type of the card program and BIN

Available options:
CREDIT,
DEBIT,
PREPAID
vendor_data
object